Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78686 - /dev/raw1394 not owned by console user
Summary: /dev/raw1394 not owned by console user
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-27 16:47 UTC by Ole Aamot
Modified: 2015-01-08 00:02 UTC (History)
1 user (show)

Fixed In Version: 0.77-62
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-19 14:06:45 UTC


Attachments (Terms of Use)
Adds console ownership for /dev/raw1394 in console.perms (deleted)
2003-06-27 12:43 UTC, Ole Aamot
no flags Details

Description Ole Aamot 2002-11-27 16:47:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
/dev/raw1394 is owned by root with permissions 600.  Please
add the device to /etc/security/console.perms - so that the 
permissions does not prevent new users from using IEEE 1394
devices, such as video cameras.

Note: anyone who can open raw1394 can access all devices on all connected 1394
buses unrestricted, including harddisks and other devices.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install an application for deals with IEEE 1394 device, such as kino.
2. Run kino as a regular user.
3. Try to debug it.  Kino, using libraw1394, provides no warnings.

Actual Results:  The permissions for /dev/video1394 is correctly changed, since
/dev/video* is matched in /etc/security/console.perms for v4l.

Expected Results:  Permissions to access the device.

Additional info:

Comment 1 Ole Aamot 2003-06-27 12:43:08 UTC
Created attachment 92654 [details]
Adds console ownership for /dev/raw1394 in console.perms

Please consider this.


Note You need to log in before you can comment on or make changes to this bug.